import { InputPosition } from "./InputPosition";
import { TokenType } from "./TokenType";
import { JsonToken } from "./JsonToken";
/**
 * Class for keeping track of info while scanning text into JSON tokens.
 */
export declare class ScannerState {
    CurrentPosition: InputPosition;
    TokenPosition: InputPosition;
    NonWhitespaceSinceLastNewline: boolean;
    constructor(originalText: string);
    Advance(isWhitespace: boolean): void;
    NewLine(): void;
    SetTokenStart(): void;
    MakeTokenFromBuffer(type: TokenType, trimEnd?: boolean): JsonToken;
    MakeToken(type: TokenType, text: string): JsonToken;
    Current(): number;
    AtEnd(): boolean;
    Throw(message: string): void;
    private _originalText;
}
