import { IBuffer } from "./IBuffer";
/**
 * A place where strings are piled up sequentially to eventually make one big string.
 */
export declare class StringJoinBuffer implements IBuffer {
    constructor(trimTrailingWhitespace: boolean);
    Add(...values: string[]): IBuffer;
    EndLine(eolString: string): IBuffer;
    Flush(): IBuffer;
    AsString(): string;
    private _lineBuff;
    private readonly _docBuff;
    private readonly _trimTrailingWhitespace;
    /**
     * Takes the contents of _lineBuff and merges them into a string and adds it to _docBuff.  If desired,
     * we trim trailing whitespace in the process.
     */
    private AddLineToWriter;
}
