/**
 * Specifies where commas should be in table-formatted elements.
 */
export declare enum TableCommaPlacement {
    /**
     * Commas come right after the element that comes before them.
     */
    BeforePadding = 0,
    /**
     * Commas come after the column padding, all lined with each other.
     */
    AfterPadding = 1,
    /**
     * Commas come right after the element, except in the case of columns of numbers.
     */
    BeforePaddingExceptNumbers = 2
}
