"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TableCommaPlacement = void 0;
/**
 * Specifies where commas should be in table-formatted elements.
 */
var TableCommaPlacement;
(function (TableCommaPlacement) {
    /**
     * Commas come right after the element that comes before them.
     */
    TableCommaPlacement[TableCommaPlacement["BeforePadding"] = 0] = "BeforePadding";
    /**
     * Commas come after the column padding, all lined with each other.
     */
    TableCommaPlacement[TableCommaPlacement["AfterPadding"] = 1] = "AfterPadding";
    /**
     * Commas come right after the element, except in the case of columns of numbers.
     */
    TableCommaPlacement[TableCommaPlacement["BeforePaddingExceptNumbers"] = 2] = "BeforePaddingExceptNumbers";
})(TableCommaPlacement = exports.TableCommaPlacement || (exports.TableCommaPlacement = {}));
