/**
 * Types of tokens that can be read from a stream of JSON text.  Comments aren't part of the official JSON
 * standard, but we're supporting them anyway.  BlankLine isn't typically a token by itself, but we want to
 * try to preserve those.
 */
export declare enum TokenType {
    Invalid = 0,
    BeginArray = 1,
    EndArray = 2,
    BeginObject = 3,
    EndObject = 4,
    String = 5,
    Number = 6,
    Null = 7,
    True = 8,
    False = 9,
    BlockComment = 10,
    LineComment = 11,
    BlankLine = 12,
    Comma = 13,
    Colon = 14
}
